1. Tax Entities
  2. Get a tax entity
GET
/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}
curl --request GET \
     --url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId} \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

taxEntityId
required
string

Unique identifier of the tax entity.

taxpayerId
required
string

Unique identifier of the taxpayer.

x-api-key
required
string

API key of your Client Application.

​
Response

application/json
  • 200

  • 401

  • 403

  • 404

OK

id
required
string

The unique identifier of the tax entity.

taxpayerId
required
string

The unique identifier of the taxpayer.

tin
required
string

The Tax Identification Number (SSN or EIN).

type
required
string

The type of tax entity. IrsSsn for individuals, IrsEin for businesses.

Available options: IrsSsn, IrsEin
externalId
string

Optional external identifier provided by the client.

firstName
string

The first name of the individual (present for IrsSsn).

lastName
string

The last name of the individual (present for IrsSsn).

email
string

Email address. Optional. Only present for individual entities (IrsSsn).

filingStatus
string

Filing status (optional, for IrsSsn only).

Available options: Single, MarriedFiledJointReturn, MarriedFiledSeparateReturn, HeadOfHousehold, QualifyingWidow
businessName
string

The business name (present for IrsEin).

regionalTaxRegistrations
array

List of regional tax registrations (for IrsEin only).

address
object

The address information (null when not provided).

phone
string

Phone number (optional, for all types).